Qt 5.7 | Qt 3D | C++ Classes | QColorMask

Qt 5.7.1 Reference Documentation

# QColorMask Class

(Qt3DRender::QColorMask)

Allows specifying which color components should be written to the currently bound frame buffer. More...

Header: | #include <QColorMask>
qmake: | QT += 3drender
Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- alphaMasked : bool
- blueMasked : bool
- greenMasked : bool
- redMasked : bool

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QColorMask(Qt3DCore::QNode *parent = nullptr)
bool | isAlphaMasked() const
bool | isBlueMasked() const
bool | isGreenMasked() const
bool | isRedMasked() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAlphaMasked(bool alphaMasked)
void | setBlueMasked(bool blueMasked)
void | setGreenMasked(bool greenMasked)
void | setRedMasked(bool redMasked)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | alphaMaskedChanged(bool alphaMasked)
void | blueMaskedChanged(bool blueMasked)
void | greenMaskedChanged(bool greenMasked)
void | redMaskedChanged(bool redMasked)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Allows specifying which color components should be written to the currently bound frame buffer.

By default, the property for each color component (red, green, blue, alpha) is set to `true` which means they will be written to the frame buffer. Setting any of the color component to `false` will prevent it from being written into the frame buffer.

## Property Documentation

### alphaMasked : bool

Holds whether the alphaMasked component should be written to the frame buffer.

Access functions:

bool | isAlphaMasked() const
void | setAlphaMasked(bool alphaMasked)

Notifier signal:

void | alphaMaskedChanged(bool alphaMasked)

### blueMasked : bool

Access functions:

bool | isBlueMasked() const
void | setBlueMasked(bool blueMasked)

Notifier signal:

void | blueMaskedChanged(bool blueMasked)

### greenMasked : bool

Access functions:

bool | isGreenMasked() const
void | setGreenMasked(bool greenMasked)

Notifier signal:

void | greenMaskedChanged(bool greenMasked)

### redMasked : bool

Access functions:

bool | isRedMasked() const
void | setRedMasked(bool redMasked)

Notifier signal:

void | redMaskedChanged(bool redMasked)

## Member Function Documentation

### QColorMask::QColorMask(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QColorMask.